@font-face {
    font-family: GothamRoundedMedium;
    src: url('./../fonts/SVN-Gotham-Rounded-Medium.otf');
}
@font-face {
    font-family: GothamRoundedBold;
    src: url('./../fonts/SVN-Gotham-Rounded-Bold.otf');
}
@font-face {
    font-family: GothamRounded;
    src: url('./../fonts/SVN-Gotham-Rounded-Regular.otf');
}

body{
    .wrapper{
        min-height: 100vh;
        background: url('../images/background.png');
        background-size: 100% 100%;
        background-repeat: no-repeat;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        @media (max-width: 1199px) {
            display: block;
        }
        img{
            max-width: 100%;
        }
        .logo{
            position: fixed;
            top: 25px;
            left: 25px;
            z-index: 10;
            @media (max-width: 1366px) {
                top: 15px;
            }
            @media (max-width: 1199px) {
               position: static;
               text-align: center;
               margin-top: 10px;
            }
            img{
                @media (max-width: 1920px) {
                    max-width: 290px;
                }
                @media (max-width: 767px) {
                    max-width: 150px;
                }
            }
        }
        .contact{
            position: fixed;
            top: 50px;
            right: 22%;
            z-index: 14;
            @media (max-width: 1920px) {
                top: 35px;
            }
            @media (max-width: 1920px) and (min-width: 1600px) {
                right: 20%;
            }
            @media (max-width: 1366px) {
                top: 20px;
            }
            @media (max-width: 1199px) {
                position: relative;
                text-align: center;
                top: auto;
                right: auto;
            }
            @media (max-width: 1199px) and (min-width: 768px) {
                display: flex;
                align-items: center;
                justify-content: center;
            }
            &-form{
                position: relative;
                max-width: 536px;
                @media (max-width: 1920px) and (min-width: 1367px) {
                    transform: scale(0.8);
                }
                @media (max-width: 1366px) {
                    max-width: 355px;
                }
                @media (max-width: 767px) {
                    max-width: 80%;
                    margin: auto;
                }
                &__input{
                    position: absolute;
                    right: 4rem;
                    top: 44%;
                    transform: translateY(-50%);
                    width: 42%;
                    height: 40px;
                    background: transparent;
                    border: none;
                    outline: none;
                    color: #5a5b5e;
                    font-size: 20px;
                    font-weight: 600;
                    @media (max-width: 1366px) {
                        right: 2rem;
                        font-size: 15px;
                        top: 42%;
                    }
                    @media (max-width: 767px) {
                        right: 1.5rem;
                        font-size: 14px;
                        top: 41%;
                    }
                }
            }
            &-submit{
                position: fixed;
                top: 50px;
                right: 5%;
                z-index: 10;
                @media (max-width: 1920px) {
                    top: 35px;
                }
                @media (max-width: 1366px) {
                    top: 20px;
                }
                @media (max-width: 1199px) {
                    position: static;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                }
                &__btn{
                    background: transparent;
                    border: none;
                    outline: none;
                    max-width: 350px;
                    cursor: pointer;
                    @media (max-width: 1920px) and (min-width: 1367px) {
                        transform: scale(0.8);
                    }
                    @media (max-width: 1366px) {
                        max-width: 233px;
                    }
                    @media (max-width: 767px) {
                        max-width: 192px;
                        margin-top: 2px;
                    }
                }
                .rule{
                    @media (min-width: 1199px) {
                        display: none;
                    }
                    img{
                        @media (max-width: 1199px) {
                            max-width: 150px;
                        }
                        @media (max-width: 767px) {
                            max-width: 120px;
                        }
                    }
                }
                #btn-rule{
                    position: relative;
                    z-index: 12;
                }
            }
        }
        .content{
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            padding-left: 15px;
            padding-right: 15px;
            transition: all 0.23s;
            @media (min-width: 1200px) {
                @media (max-height: 768px) {
                    transform: scale(0.8);
                    transition: all 0.23s;
                }
                @media (max-height: 700px) {
                    transform: scale(0.7);
                    transition: all 0.23s;
                }
                @media (max-height: 600px) {
                    transform: scale(0.65);
                    transition: all 0.23s;
                }
            }
            @media (max-width: 1199px) {
                display: block;
                // overflow: hidden;
                padding-left: 0;
                padding-right: 0;
            }
            &-left{
                position: relative;
                z-index: 10;
                @media (max-width: 1199px) {
                    display: none;
                }
                .img-content{
                    max-width: 615px;
                    @media (max-width: 1920px) {
                        
                    }
                }
                &__rule{
                    position: absolute;
                    bottom: 0;
                    left: 50%;
                    transform: translate(-50%, 80%);
                    img{
                        max-width: 230px;
                        @media (max-width: 1366px) {
                            max-width: 155px;
                        }
                    }
                }
            }
            &-right{
                // margin-right: 5%;
                .title-mb{
                    position: relative;
                    text-align: center;
                    z-index: 5;
                    margin-bottom: -20px;
                    @media (min-width: 1200px) {
                        display: none;
                    }
                    img{
                        max-width: 50%;
                        margin: auto;
                    }
                }
                .cycle{
                    position: relative;
                    width: 615px;
                    // height: 615px;
                    @media (max-width: 1199px) {
                        margin: auto;
                    }
                    @media (max-width: 767px) {
                        width: 100%;
                        margin: auto;
                    }
                    .cycle-layer{
                        position: absolute;
                        top: 50%;
                        left: 50%;
                        transform: translate(-50%, -50%);
                        max-width: 100%;
                        @media (max-width: 767px) {
                            max-width: 100%;
                        }
                    }
                    &-box{
                        position: absolute;
                        top: 50%;
                        left: 50%;
                        transform: translate(-50%, -50%);
                        z-index: 11;
                        width: 462px;
                        height: 462px;
                        border: solid 3px #fff;
                        border-radius: 50%;
                        background-color: #e565a4;
                        @media (max-width: 767px) {
                            width: 75%;
                            margin: auto;
                        }
                    }
                    .light{
                        display: block;
                        position: absolute;
                        top: 50%;
                        left: 50%;
                        transform: translate(-54%, -50%);
                        img{
                            max-width: inherit;
                        }
                    }
                    .btn-spin{
                        position: absolute;
                        top: 50%;
                        left: 50%;
                        transform: translate(-50%, -50%);
                        background: transparent;
                        border: none;
                        outline: none;
                        cursor: pointer;
                        z-index: 12;
                        @media (max-width: 480px) {
                            width: 150px;
                        }
                    }
                    .shadow{
                        position: absolute;
                        bottom: 0;
                        left: 50%;
                        transform: translate(-50%, 70%);
                        z-index: 1;
                        @media (max-width: 767px) {
                            transform: translate(-50%, 15%);
                        }
                        img{
                            max-width: inherit;
                            @media (max-width: 767px) {
                                max-width: 100%;
                            }
                        }
                    }
                }
            }
        }
        .price-mb{
            position: relative;
            z-index: 11;
            text-align: center;
            display: flex;
            flex-direction: column;
            @media (min-width: 1199px) {
                display: none;
            }
         
            .img-content{
                max-width: 300px;
                margin: auto;
            }
        }
    }
    .popup,
    .popup-overlay{
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    .popup{
        display: flex;
        z-index: 1021;
        &-overlay{
            background: rgba(0, 0, 0, .8);
        }
        &-holder{
            width: 905px;
            min-height: 302px;
            margin: 0 auto;
            position: relative;
            background-size: 100%;
            background-repeat: no-repeat;
            background-size: 100%;
            background-repeat: no-repeat;
            color: #414042;
            @media (max-width: 768px) {
                width: 95%;
                background-size: cover;
                background-position: right;
            }
            .close{
                position: absolute;
                top: 0;
                right: 0;
                width: 71px;
                height: 69px;
                transform: translate(100%, -100%);
                background-image: url('../images/close.png');
                text-indent: -9999em;
                @media (max-width: 768px) {
                    transform: translate(0, -100%);
                    width: 30px;
                    background-size: 100%;
                    height: 30px;
                }
            }
        }
    }
    #popup-lucky{
        .popup-holder{
            background-image: url('../images/blue-popup.png');
        
            .popup-inner{
                text-align: center;
                display: flex;
                height: 100%;
                justify-content: flex-end;
                align-items: center;
                font-family: GothamRoundedMedium;
                font-size: 25px;
                line-height: 35px;
                padding-right: 20%;
                @media (max-width: 767px) {
                   justify-content: center;
                   padding-right: 0;
                }
            }
        }
    }
    #popup-spins{
        .popup-holder{
            background-image: url('../images/pink-popup.png');
        
            .popup-inner{
                text-align: center;
                display: flex;
                height: 100%;
                justify-content: flex-end;
                align-items: center;
                font-family: GothamRoundedMedium;
                font-size: 25px;
                line-height: 35px;
                padding-right: 20%;
                @media (max-width: 767px) {
                   justify-content: center;
                   padding-right: 0;
                }
            }
        }
    }
    #popup-rules{
        .popup-holder{
            background-image: url('../images/rule-popup.png');
            width: 905px;
            min-height: 460px;
            display: flex;
            align-items: center;
            justify-content: center;
            @media (max-width: 768px) {
                width: 95%;
            }
            .popup-inner{
                max-height: 360px;
                max-width: 590px;
                overflow-y: auto;
                &::-webkit-scrollbar {
                    width: 5px;
                }
                 
                   
                &::-webkit-scrollbar-thumb {
                    background-color: #242424;
                }
                .rule-content{
                    margin-bottom: 20px;
                    @media (max-width: 767px) {
                        margin-bottom: 100px;
                    }
                }
                h4{
                    font-family: GothamRoundedBold;
                    font-size: 31px;
                    color: #f05a72;
                    text-transform: uppercase;
                    margin-bottom: 15px;
                    @media (max-width: 767px) {
                        font-size: 21px;
                        text-align: center;
                     }
                }
                p{
                    font-family: GothamRounded;
                    font-size: 19px;
                    line-height: 25px;
                    color: #414042;
                    margin-bottom: 10px;
                    @media (max-width: 767px) {
                        margin-bottom: 5px;
                    }
                    span{
                        font-family: GothamRoundedBold;
                    }
                    @media (max-width: 767px) {
                        font-size: 15px;
                    }
                }
                @media (max-width: 767px) {
                   justify-content: center;
                   padding: 15px;
                }
            }
        }
    }
}